package _VisualDVM.TestingSystem.SAPFOR.SapforTasksPackage.UI;
import javax.swing.*;
import java.util.Objects;
public abstract class TreeSummary {
    public String text = "";
    public abstract void refreshText();
    @Override
    public String toString() {
        return text;
    }
    public ImageIcon getIcon() {
        return new ImageIcon(Objects.requireNonNull(getClass().getResource("/icons/versions/" + getImageKey() + ".png")));
    }
    public abstract String getImageKey();
}
